Name:              ssh-installkeys
Version:           1.9
Release:           1
Summary:           A tool for installing ssh keys on remote sites
License:           BSD
Group:             Utilities/System
URL:               http://www.catb.org/~esr/ssh-installkeys/
Source0:           http://www.catb.org/~esr/ssh-installkeys/%{name}-%{version}.tar.gz

Buildroot:         %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:     xmlto
Requires:          python

%description
This script tries to export ssh public keys to a specified site.  It will
walk you through generating key pairs if it doesn't find any to export.
It handles all the fiddly details like making sure local and remote
permissions are correct, and tells you what it's doing if it has to change
anything.


%prep
%setup -q


%build
make ssh-installkeys.1


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp %{name} ${RPM_BUILD_ROOT}%{_bindir}/
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
cp %{name}.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc COPYING README
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Tue Jul 29 2014 Michael Perzl <michael@perzl.org> - 1.9-1
- updated to version 1.9

* Tue Jul 29 2014 Michael Perzl <michael@perzl.org> - 1.8-1
- first version for AIX V5.1 and higher
